diff --git a/cdmlib-print/src/test/java/eu/etaxonomy/cdm/print/PubTest.java b/cdmlib-print/src/test/java/eu/etaxonomy/cdm/print/PubTest.java
index d220e317fa..4b45f42a15 100644
--- a/cdmlib-print/src/test/java/eu/etaxonomy/cdm/print/PubTest.java
+++ b/cdmlib-print/src/test/java/eu/etaxonomy/cdm/print/PubTest.java
@@ -17,15 +17,20 @@ import org.junit.Assert;
 
 import org.apache.log4j.Logger;
 import org.jdom.Element;
+import org.springframework.core.io.ClassPathResource;
+import org.springframework.core.io.Resource;
 
 import eu.etaxonomy.cdm.api.application.CdmApplicationController;
 import eu.etaxonomy.cdm.api.application.ICdmApplicationConfiguration;
+import eu.etaxonomy.cdm.common.AccountStore;
 import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.cdm.common.monitor.DefaultProgressMonitor;
 import eu.etaxonomy.cdm.common.monitor.IProgressMonitor;
 import eu.etaxonomy.cdm.database.CdmDataSource;
 import eu.etaxonomy.cdm.database.DbSchemaValidation;
 import eu.etaxonomy.cdm.database.ICdmDataSource;
+import eu.etaxonomy.cdm.io.api.application.CdmIoApplicationController;
+import eu.etaxonomy.cdm.io.common.CdmDefaultIOBase;
 import eu.etaxonomy.cdm.model.name.NomenclaturalCode;
 import eu.etaxonomy.cdm.print.out.pdf.PdfOutputModule;
 import eu.etaxonomy.cdm.print.out.xml.XMLOutputModule;
@@ -43,6 +48,8 @@ public class PubTest {
 	
 	private static Publisher publisher;
 	
+	public static final String DEFAULT_PRINT_APPLICATION_CONTEXT_RESOURCE = "/eu/etaxonomy/cdm/defaultPrintApplicationContext.xml";
+	
 	
 	/**
 	 * @throws java.lang.Exception
@@ -55,7 +62,9 @@ public class PubTest {
 		IProgressMonitor progressMonitor = DefaultProgressMonitor.NewInstance();
 		
 		//Connecting to a CDMDataSource
-		ICdmApplicationConfiguration app = CdmApplicationController.NewInstance(null, dataSource, DbSchemaValidation.VALIDATE, false, progressMonitor);
+		///Resource resource =  new ClassPathResource(CdmDefaultIOBase.DEFAULT_IO_APPLICATION_CONTEXT_RESOURCE);
+		Resource resource =  new ClassPathResource(DEFAULT_PRINT_APPLICATION_CONTEXT_RESOURCE);
+		ICdmApplicationConfiguration app = CdmIoApplicationController.NewInstance(resource, dataSource, DbSchemaValidation.VALIDATE, false, progressMonitor);
 		//ICdmApplicationConfiguration app = CdmApplicationController.NewInstance(resource, dataSource, DbSchemaValidation.VALIDATE, false, progressMonitor);
 		//configurator = PublishConfigurator.NewLocalInstance(CdmStore.getCurrentApplicationConfiguration());//from taxeditor GeneratePdfHandler
 		configurator = PublishConfigurator.NewLocalInstance(app);
@@ -84,6 +93,8 @@ public class PubTest {
 	
     private static ICdmDataSource customDataSource() {
 
+    	
+//    	pwd = AccountStore.readOrStorePassword(cdmServer, cdmDB, cdmUserName,pwd);
        String dataSourceName = CdmUtils.readInputLine("Database name: ");
        String username = CdmUtils.readInputLine("Username: ");
        String password = CdmUtils.readInputLine("Password: ");
@@ -91,7 +102,7 @@ public class PubTest {
        dataSourceName = (dataSourceName.equals("")) ? "cdm_test4" : dataSourceName;
        username = (username.equals("")) ? "ljm" : username;
        
-       ICdmDataSource dataSource = CdmDataSource.NewMySqlInstance("160.45.63.201", "cdm_edit_flora_central_africa", 3306, "edit", password, NomenclaturalCode.ICBN);
+       ICdmDataSource dataSource = CdmDataSource.NewMySqlInstance("160.45.63.201", "cdm_edit_flora_central_africa", 3306, "edit", password, NomenclaturalCode.ICNAFP);
        //ICdmDataSource dataSource = CdmDataSource.NewMySqlInstance("127.0.0.1", dataSourceName, 3306, username, password, NomenclaturalCode.ICBN);
        //ICdmDataSource dataSource = CdmDataSource.NewMySqlInstance("127.0.0.1", "cdm_edit_cichorieae", 3306, "ljm", password, NomenclaturalCode.ICBN);
        //ICdmDataSource dataSource = CdmDataSource.NewMySqlInstance("160.45.63.201", "cdm_edit_cichorieae", 3306, "edit", password, NomenclaturalCode.ICBN);
diff --git a/cdmlib-print/src/test/java/eu/etaxonomy/cdm/print/PublisherTest.java b/cdmlib-print/src/test/java/eu/etaxonomy/cdm/print/PublisherTest.java
index 433f9a06ef..a91bd0fcf3 100644
--- a/cdmlib-print/src/test/java/eu/etaxonomy/cdm/print/PublisherTest.java
+++ b/cdmlib-print/src/test/java/eu/etaxonomy/cdm/print/PublisherTest.java
@@ -23,6 +23,7 @@ import org.junit.Ignore;
 import org.junit.Test;
 
 import eu.etaxonomy.cdm.print.out.IPublishOutputModule;
+import eu.etaxonomy.cdm.print.out.mediawiki.MediawikiOutputModule;
 import eu.etaxonomy.cdm.print.out.odf.OdfOutputModule;
 import eu.etaxonomy.cdm.print.out.xml.XMLOutputModule;
 
@@ -51,7 +52,7 @@ public class PublisherTest {
 		configurator = PublishConfigurator.NewRemoteInstance();
 		
 		configurator.setWebserviceUrl("http://localhost:8080/");
-		/////configurator.setWebserviceUrl("http://dev.e-taxonomy.eu/cdmserver/flora_central_africa/");//central africa production
+		//configurator.setWebserviceUrl("http://dev.e-taxonomy.eu/cdmserver/flora_central_africa/");//central africa production
 		//configurator.setWebserviceUrl("http://dev.e-taxonomy.eu/cdmserver/caryophyllales/");					
 		//http://160.45.63.201/cdmserver/flora_central_africa
 		//http://dev.e-taxonomy.eu/cdmserver/flora_central_africa/
@@ -63,7 +64,9 @@ public class PublisherTest {
 		
 		//TODO: How do we get the uuid for the feature tree from the classification or taxonNode without hardcoding it?
 		//configurator.setFeatureTree(UUID.fromString("ac8d4e58-926d-4f81-ac77-cebdd295df7c"));//caryophyllales		
-		configurator.setFeatureTree(UUID.fromString("051d35ee-22f1-42d8-be07-9e9bfec5bcf7"));//Ericaceae
+		//configurator.setFeatureTree(UUID.fromString("051d35ee-22f1-42d8-be07-9e9bfec5bcf7"));//Ericaceae
+		configurator.setFeatureTree(UUID.fromString("051d35ee-22f1-42d8-be07-9e9bfec5bcf7"));
+		//configurator.setFeatureTree(UUID.fromString("ae9615b8-bc60-4ed0-ad96-897f9226d568"));//ae9615b8-bc60-4ed0-ad96-897f9226d568 cichorieae
 		
 //		Element selectedTaxonNodeElement = new Element("TaxonNode");
 //		configurator.addSelectedTaxonNodeElements(selectedTaxonNodeElement);		
@@ -78,7 +81,8 @@ public class PublisherTest {
 		//taxonNodeUuid a605e87e-113e-4ebd-ad97-f086b734b4da FeatureTree UUID 051d35ee-22f1-42d8-be07-9e9bfec5bcf7
 		//UUID taxonNodeUuid = UUID.fromString("be6566eb-4661-41fe-8ec2-caf885a12cbd");//5168a18b-c0b1-44cc-80aa-7a5572fefe04
 		//UUID taxonNodeUuid = UUID.fromString("a605e87e-113e-4ebd-ad97-f086b734b4da");//Ericaceae
-		UUID taxonNodeUuid = UUID.fromString("0044aae4-721b-4726-85ff-752a89cff748");
+		UUID taxonNodeUuid = UUID.fromString("0044aae4-721b-4726-85ff-752a89cff748");//restionaceae
+		//UUID taxonNodeUuid = UUID.fromString("6a7ac1ad-2fd9-4218-8132-12dd463d04b9");// cf74ab02-2385-4818-9d56-902fa3e6fe6b 4f6c68d0-63f2-4235-83c2-5bff14532f90 cichorieae.
 		//restionaceae 0044aae4-721b-4726-85ff-752a89cff748
 		//UUID taxonNodeUuid = UUID.fromString("9440bd28-b462-4112-8906-a643b7d3f195");//caryophyllales
 		Element taxonNodeElement = factory.getTaxonNode(taxonNodeUuid);
@@ -137,7 +141,13 @@ public class PublisherTest {
 	 */
 	@Ignore
 	public void testPublishXml() {
-		configurator.setOutputModules(Arrays.asList(new IPublishOutputModule[]{new XMLOutputModule()}));
+		
+		List<IPublishOutputModule> modules = new ArrayList();
+		//modules.add(new XMLOutputModule());
+		modules.add(new MediawikiOutputModule());
+		configurator.setOutputModules(modules);
+		
+		//configurator.setOutputModules(Arrays.asList(new IPublishOutputModule[]{new XMLOutputModule()}));
 		logger.warn("The number of selected taxon node elements is........ " + configurator.getSelectedTaxonNodeElements().size());
 		
 		Publisher.publish(configurator);
diff --git a/cdmlib-remote-webapp/src/main/java/eu/etaxonomy/cdm/remote/webapp/vaaditor/controller/AuthenticationController.java b/cdmlib-remote-webapp/src/main/java/eu/etaxonomy/cdm/remote/webapp/vaaditor/controller/AuthenticationController.java
new file mode 100644
index 0000000000..4a34acc785
--- /dev/null
+++ b/cdmlib-remote-webapp/src/main/java/eu/etaxonomy/cdm/remote/webapp/vaaditor/controller/AuthenticationController.java
@@ -0,0 +1,61 @@
+package eu.etaxonomy.cdm.remote.webapp.vaaditor.controller;
+
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.context.ApplicationContext;
+import org.springframework.security.authentication.AuthenticationManager;
+import org.springframework.security.authentication.BadCredentialsException;
+import org.springframework.security.authentication.UsernamePasswordAuthenticationToken;
+import org.springframework.security.core.Authentication;
+import org.springframework.security.core.context.SecurityContext;
+import org.springframework.security.core.context.SecurityContextHolder;
+import org.springframework.stereotype.Component;
+import org.springframework.stereotype.Controller;
+
+import com.vaadin.server.Page;
+import com.vaadin.server.VaadinService;
+import com.vaadin.ui.Notification;
+
+@Component
+@Controller
+public class AuthenticationController{
+	
+	@Autowired
+	private AuthenticationManager authenticationManager;
+	@Autowired
+	private transient ApplicationContext applicationContext;
+	
+	public boolean authenticate(String user, String password){
+		UsernamePasswordAuthenticationToken token = new UsernamePasswordAuthenticationToken(user, password);
+		try{
+			Authentication authentication = authenticationManager.authenticate(token);
+			SecurityContext context = SecurityContextHolder.getContext();
+			context.setAuthentication(authentication);
+			VaadinService.getCurrentRequest().getWrappedSession().setAttribute("isAuthenticated", true);
+			return true;
+
+		}catch(BadCredentialsException e){
+			Notification.show("Bad credentials", Notification.Type.ERROR_MESSAGE);
+		}
+		
+		return false;
+	}
+	
+	public void logout(){
+		Boolean isAuth = (Boolean) VaadinService.getCurrentRequest().getAttribute("isAuthenticated");
+		if(isAuth != null){
+			VaadinService.getCurrentRequest().getWrappedSession().setAttribute("isAuthenticated", false);
+		}
+		SecurityContextHolder.clearContext();;
+		Page.getCurrent().setLocation("/");
+	}
+	
+	public boolean isAuthenticated(){
+		Boolean isAuth = (Boolean) VaadinService.getCurrentRequest().getWrappedSession().getAttribute("isAuthenticated");
+		if(isAuth == null || isAuth == false){
+			logout();
+			return false;
+		}
+		return true;
+	}
+	
+}
\ No newline at end of file
diff --git a/cdmlib-remote-webapp/src/main/java/eu/etaxonomy/cdm/remote/webapp/view/ui/HelloWorld.java b/cdmlib-remote-webapp/src/main/java/eu/etaxonomy/cdm/remote/webapp/view/ui/HelloWorld.java
index d6f9b494bc..07da7e895a 100644
--- a/cdmlib-remote-webapp/src/main/java/eu/etaxonomy/cdm/remote/webapp/view/ui/HelloWorld.java
+++ b/cdmlib-remote-webapp/src/main/java/eu/etaxonomy/cdm/remote/webapp/view/ui/HelloWorld.java
@@ -334,7 +334,6 @@ public class HelloWorld extends UI implements View, WizardProgressListener{
 		
 	}
 
-	@Transactional
 	private void initTaxonTree() {
 		classifications = classificationService.listClassifications(null, null, null, VOC_CLASSIFICATION_INIT_STRATEGY);
 		classificationTree = new Tree("Classifications:");
@@ -349,7 +348,7 @@ public class HelloWorld extends UI implements View, WizardProgressListener{
 				setFirst=false;
 			}
 			if(c.hasChildNodes()){
-				Set<TaxonNode> setTaxonNodes = c.getChildNodes();
+				List<TaxonNode> setTaxonNodes = c.getChildNodes();
 				initTaxonTree(setTaxonNodes, c);
 			}
 		}
@@ -458,7 +457,7 @@ public class HelloWorld extends UI implements View, WizardProgressListener{
 	 * @param setTaxonNodes
 	 * @param parent
 	 */
-	private void initTaxonTree(Set<TaxonNode> setTaxonNodes, Object parent) {
+	private void initTaxonTree(List<TaxonNode> setTaxonNodes, Object parent) {
 		List<TaxonNode> listTaxonNodes = new ArrayList<TaxonNode>();
 		listTaxonNodes.addAll(setTaxonNodes);
 		//sorting List
diff --git a/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.vaaditor.widgetset.AppWidgetSet/deferredjs/1829D8D1038C692D5838E56F97B1EA05/1.cache.js b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.vaaditor.widgetset.AppWidgetSet/deferredjs/1829D8D1038C692D5838E56F97B1EA05/1.cache.js
new file mode 100644
index 0000000000..4ada971e3a
--- /dev/null
+++ b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.vaaditor.widgetset.AppWidgetSet/deferredjs/1829D8D1038C692D5838E56F97B1EA05/1.cache.js
@@ -0,0 +1 @@
+$wnd.eu_etaxonomy_cdm_remote_webapp_vaaditor_widgetset_AppWidgetSet.runAsyncCallback1('asb(2388,1,tMe);_.cc=function Nud(){lYb((!gYb&&(gYb=new nYb),gYb),this.b.e)};eNe(qh)(1);\n//@ sourceURL=1.js\n')
diff --git a/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.vaaditor.widgetset.AppWidgetSet/deferredjs/5007D383E5B11AD9989FF5D75408922C/1.cache.js b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.vaaditor.widgetset.AppWidgetSet/deferredjs/5007D383E5B11AD9989FF5D75408922C/1.cache.js
new file mode 100644
index 0000000000..8695adc710
--- /dev/null
+++ b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.vaaditor.widgetset.AppWidgetSet/deferredjs/5007D383E5B11AD9989FF5D75408922C/1.cache.js
@@ -0,0 +1 @@
+$wnd.eu_etaxonomy_cdm_remote_webapp_vaaditor_widgetset_AppWidgetSet.runAsyncCallback1('Jrb(2389,1,fMe);_.Zb=function Aud(){$Xb((!VXb&&(VXb=new aYb),VXb),this.a.d)};SMe(gh)(1);\n//@ sourceURL=1.js\n')
diff --git a/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.vaaditor.widgetset.AppWidgetSet/deferredjs/6F73C281403DF029CF2B37A170CB4F62/1.cache.js b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.vaaditor.widgetset.AppWidgetSet/deferredjs/6F73C281403DF029CF2B37A170CB4F62/1.cache.js
new file mode 100644
index 0000000000..f0bd99c4e4
--- /dev/null
+++ b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.vaaditor.widgetset.AppWidgetSet/deferredjs/6F73C281403DF029CF2B37A170CB4F62/1.cache.js
@@ -0,0 +1 @@
+$wnd.eu_etaxonomy_cdm_remote_webapp_vaaditor_widgetset_AppWidgetSet.runAsyncCallback1('gsb(2387,1,HMe);_.Zb=function Zud(){xYb((!sYb&&(sYb=new zYb),sYb),this.a.d)};sNe(gh)(1);\n//@ sourceURL=1.js\n')
diff --git a/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.vaaditor.widgetset.AppWidgetSet/deferredjs/876A78360367645E8648355CBB73E9A1/1.cache.js b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.vaaditor.widgetset.AppWidgetSet/deferredjs/876A78360367645E8648355CBB73E9A1/1.cache.js
new file mode 100644
index 0000000000..77fc071ba9
--- /dev/null
+++ b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.vaaditor.widgetset.AppWidgetSet/deferredjs/876A78360367645E8648355CBB73E9A1/1.cache.js
@@ -0,0 +1 @@
+$wnd.eu_etaxonomy_cdm_remote_webapp_vaaditor_widgetset_AppWidgetSet.runAsyncCallback1('Zrb(2387,1,DMe);_.Zb=function Tud(){rYb((!mYb&&(mYb=new tYb),mYb),this.a.d)};pNe(gh)(1);\n//@ sourceURL=1.js\n')
diff --git a/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.vaaditor.widgetset.AppWidgetSet/deferredjs/8ABFD98D78EFA2B88318CB1DDD2C213E/1.cache.js b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.vaaditor.widgetset.AppWidgetSet/deferredjs/8ABFD98D78EFA2B88318CB1DDD2C213E/1.cache.js
new file mode 100644
index 0000000000..2d62043dd6
--- /dev/null
+++ b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.vaaditor.widgetset.AppWidgetSet/deferredjs/8ABFD98D78EFA2B88318CB1DDD2C213E/1.cache.js
@@ -0,0 +1 @@
+$wnd.eu_etaxonomy_cdm_remote_webapp_vaaditor_widgetset_AppWidgetSet.runAsyncCallback1('Erb(2385,1,ULe);_.$b=function nud(){NXb((!IXb&&(IXb=new PXb),IXb),this.b.e)};FMe(gh)(1);\n//@ sourceURL=1.js\n')
diff --git a/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.vaaditor.widgetset.AppWidgetSet/deferredjs/CC928946B513A18E0B2AA00CFF87DF60/1.cache.js b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.vaaditor.widgetset.AppWidgetSet/deferredjs/CC928946B513A18E0B2AA00CFF87DF60/1.cache.js
new file mode 100644
index 0000000000..1f675c312b
--- /dev/null
+++ b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.vaaditor.widgetset.AppWidgetSet/deferredjs/CC928946B513A18E0B2AA00CFF87DF60/1.cache.js
@@ -0,0 +1 @@
+$wnd.eu_etaxonomy_cdm_remote_webapp_vaaditor_widgetset_AppWidgetSet.runAsyncCallback1('xsb(2391,1,jNe);_.cc=function xvd(){XYb((!SYb&&(SYb=new ZYb),SYb),this.b.e)};WNe(sh)(1);\n//@ sourceURL=1.js\n')
diff --git a/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.view.widgetset.AppWidgetSet/deferredjs/14E352E53C66FC79F16D2EF9BF1A8FF8/1.cache.js b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.view.widgetset.AppWidgetSet/deferredjs/14E352E53C66FC79F16D2EF9BF1A8FF8/1.cache.js
new file mode 100644
index 0000000000..47197962aa
--- /dev/null
+++ b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.view.widgetset.AppWidgetSet/deferredjs/14E352E53C66FC79F16D2EF9BF1A8FF8/1.cache.js
@@ -0,0 +1 @@
+$wnd.eu_etaxonomy_cdm_remote_webapp_view_widgetset_AppWidgetSet.runAsyncCallback1('gsb(2387,1,GMe);_.Zb=function Zud(){xYb((!sYb&&(sYb=new zYb),sYb),this.a.d)};rNe(gh)(1);\n//@ sourceURL=1.js\n')
diff --git a/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.view.widgetset.AppWidgetSet/deferredjs/16E230ACDFD1758DF36C07BA13569AD3/1.cache.js b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.view.widgetset.AppWidgetSet/deferredjs/16E230ACDFD1758DF36C07BA13569AD3/1.cache.js
new file mode 100644
index 0000000000..2b3e2c1cf7
--- /dev/null
+++ b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.view.widgetset.AppWidgetSet/deferredjs/16E230ACDFD1758DF36C07BA13569AD3/1.cache.js
@@ -0,0 +1 @@
+$wnd.eu_etaxonomy_cdm_remote_webapp_view_widgetset_AppWidgetSet.runAsyncCallback1('asb(2388,1,sMe);_.cc=function Nud(){lYb((!gYb&&(gYb=new nYb),gYb),this.b.e)};dNe(qh)(1);\n//@ sourceURL=1.js\n')
diff --git a/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.view.widgetset.AppWidgetSet/deferredjs/3B38A1B972459FD9920479304F1EFF94/1.cache.js b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.view.widgetset.AppWidgetSet/deferredjs/3B38A1B972459FD9920479304F1EFF94/1.cache.js
new file mode 100644
index 0000000000..98d7e3852e
--- /dev/null
+++ b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.view.widgetset.AppWidgetSet/deferredjs/3B38A1B972459FD9920479304F1EFF94/1.cache.js
@@ -0,0 +1 @@
+$wnd.eu_etaxonomy_cdm_remote_webapp_view_widgetset_AppWidgetSet.runAsyncCallback1('Zrb(2387,1,CMe);_.Zb=function Tud(){rYb((!mYb&&(mYb=new tYb),mYb),this.a.d)};oNe(gh)(1);\n//@ sourceURL=1.js\n')
diff --git a/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.view.widgetset.AppWidgetSet/deferredjs/6BE37A8B144C4BB63CE8F3913A60C613/1.cache.js b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.view.widgetset.AppWidgetSet/deferredjs/6BE37A8B144C4BB63CE8F3913A60C613/1.cache.js
new file mode 100644
index 0000000000..7ca35d815d
--- /dev/null
+++ b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.view.widgetset.AppWidgetSet/deferredjs/6BE37A8B144C4BB63CE8F3913A60C613/1.cache.js
@@ -0,0 +1 @@
+$wnd.eu_etaxonomy_cdm_remote_webapp_view_widgetset_AppWidgetSet.runAsyncCallback1('xsb(2391,1,iNe);_.cc=function xvd(){XYb((!SYb&&(SYb=new ZYb),SYb),this.b.e)};VNe(sh)(1);\n//@ sourceURL=1.js\n')
diff --git a/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.view.widgetset.AppWidgetSet/deferredjs/883E7702B0276F37691B18C557C5E6CF/1.cache.js b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.view.widgetset.AppWidgetSet/deferredjs/883E7702B0276F37691B18C557C5E6CF/1.cache.js
new file mode 100644
index 0000000000..1c4f2c7626
--- /dev/null
+++ b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.view.widgetset.AppWidgetSet/deferredjs/883E7702B0276F37691B18C557C5E6CF/1.cache.js
@@ -0,0 +1 @@
+$wnd.eu_etaxonomy_cdm_remote_webapp_view_widgetset_AppWidgetSet.runAsyncCallback1('Erb(2385,1,TLe);_.$b=function nud(){NXb((!IXb&&(IXb=new PXb),IXb),this.b.e)};EMe(gh)(1);\n//@ sourceURL=1.js\n')
diff --git a/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.view.widgetset.AppWidgetSet/deferredjs/E1160C0B49C972E3FFDE3B4109063460/1.cache.js b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.view.widgetset.AppWidgetSet/deferredjs/E1160C0B49C972E3FFDE3B4109063460/1.cache.js
new file mode 100644
index 0000000000..241021d815
--- /dev/null
+++ b/cdmlib-remote-webapp/src/main/webapp/VAADIN/widgetsets/eu.etaxonomy.cdm.remote.webapp.view.widgetset.AppWidgetSet/deferredjs/E1160C0B49C972E3FFDE3B4109063460/1.cache.js
@@ -0,0 +1 @@
+$wnd.eu_etaxonomy_cdm_remote_webapp_view_widgetset_AppWidgetSet.runAsyncCallback1('Jrb(2389,1,eMe);_.Zb=function Aud(){$Xb((!VXb&&(VXb=new aYb),VXb),this.a.d)};RMe(gh)(1);\n//@ sourceURL=1.js\n')
diff --git a/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/config/DataSourceConfigurer.java b/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/config/DataSourceConfigurer.java
index eca936bddf..67dd379e88 100644
--- a/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/config/DataSourceConfigurer.java
+++ b/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/config/DataSourceConfigurer.java
@@ -34,8 +34,8 @@ import org.springframework.jndi.JndiObjectFactoryBean;
 import com.mchange.v2.c3p0.ComboPooledDataSource;
 
 import eu.etaxonomy.cdm.common.CdmUtils;
-import eu.etaxonomy.cdm.model.common.CdmMetaData;
-import eu.etaxonomy.cdm.model.common.CdmMetaData.MetaDataPropertyName;
+import eu.etaxonomy.cdm.model.metadata.CdmMetaData;
+import eu.etaxonomy.cdm.model.metadata.CdmMetaData.MetaDataPropertyName;
 
 /**
  * The <code>DataSourceConfigurer</code> can be used as a replacement for a xml configuration in the application context.
diff --git a/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/controller/DerivedUnitFacadeController.java b/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/controller/DerivedUnitFacadeController.java
index ad23fb7ce0..e1f32df906 100644
--- a/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/controller/DerivedUnitFacadeController.java
+++ b/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/controller/DerivedUnitFacadeController.java
@@ -30,7 +30,7 @@ import org.springframework.web.servlet.ModelAndView;
 import eu.etaxonomy.cdm.api.facade.DerivedUnitFacade;
 import eu.etaxonomy.cdm.api.facade.DerivedUnitFacadeNotSupportedException;
 import eu.etaxonomy.cdm.api.service.IOccurrenceService;
-import eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
 import eu.etaxonomy.cdm.remote.editor.UUIDPropertyEditor;
 
@@ -134,7 +134,7 @@ public class DerivedUnitFacadeController extends AbstractController<SpecimenOrOb
 
     // public Collection getCollection() {
     // public AgentBase getCollector() {
-    // public DerivedUnitBase getDerivedUnit() {
+    // public DerivedUnit getDerivedUnit() {
     // public Map<Language, LanguageString> getDerivedUnitDefinitions(){
     // public List<Media> getDerivedUnitMedia() {
     // public Set<DeterminationEvent> getDeterminations() {
@@ -142,7 +142,7 @@ public class DerivedUnitFacadeController extends AbstractController<SpecimenOrOb
     // public Map<Language, LanguageString> getEcologyAll(){
     // public Map<Language, LanguageString> getFieldObjectDefinition() {
     // public List<Media> getFieldObjectMedia() {
-    // public FieldObservation getFieldObservation(){
+    // public FieldUnit getFieldUnit(){
     // public GatheringEvent getGatheringEvent() {
     // public String getGatheringEventDescription() {
     // public Map<Language, LanguageString> getPlantDescriptionAll(){ ==> representation !!
@@ -165,9 +165,9 @@ public class DerivedUnitFacadeController extends AbstractController<SpecimenOrOb
             initStrategy.addAll(extendedInitStrategy);
         }
         SpecimenOrObservationBase<?> sob = service.load(occurrenceUuid, null);
-        if(sob instanceof DerivedUnitBase<?>){
+        if(sob instanceof DerivedUnit){
             try {
-                return service.getDerivedUnitFacade(((DerivedUnitBase)sob), initStrategy);
+                return service.getDerivedUnitFacade(((DerivedUnit)sob), initStrategy);
             } catch (DerivedUnitFacadeNotSupportedException e) {
                 logger.error(e); //TODO ...
             }
diff --git a/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/controller/DerivedUnitFacadePortalController.java b/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/controller/DerivedUnitFacadePortalController.java
index 629a73aaf1..97b59fcacc 100644
--- a/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/controller/DerivedUnitFacadePortalController.java
+++ b/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/controller/DerivedUnitFacadePortalController.java
@@ -33,7 +33,7 @@ public class DerivedUnitFacadePortalController extends
             "ecologyAll",
             "plantDescriptionAll",
 
-//			"fieldObservation.*",
+//			"fieldUnit.*",
             "fieldObjectMedia",
 
 //			"derivedUnit.*",
diff --git a/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/controller/DescriptionController.java b/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/controller/DescriptionController.java
index 1c0d3130c5..07711643f5 100644
--- a/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/controller/DescriptionController.java
+++ b/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/controller/DescriptionController.java
@@ -170,7 +170,7 @@ public class DescriptionController extends BaseController<DescriptionBase, IDesc
         if(descriptionElement instanceof CategoricalData){
 
         }
-        List<StateData> states = ((CategoricalData)descriptionElement).getStates();
+        List<StateData> states = ((CategoricalData)descriptionElement).getStateData();
         mv.addObject(states);
         return mv;
     }
diff --git a/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/controller/DescriptionListPortalController.java b/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/controller/DescriptionListPortalController.java
index 9dfba779e1..aebc242c47 100644
--- a/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/controller/DescriptionListPortalController.java
+++ b/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/controller/DescriptionListPortalController.java
@@ -202,7 +202,8 @@ public class DescriptionListPortalController extends IdentifiableListController<
                HttpStatusMessage.UUID_NOT_FOUND.send(response);
            }
        }
-
+       //TODO it seems as if the InitializationStrategy is not appropriate here !!!
+       //   see #3728 (DescriptionListPortalController.getDescriptionElementsForTaxon() seems to be using inapproptiate init strategy)
        Pager<T> pager = service.pageDescriptionElementsForTaxon(
                taxon,
                (features != null ? features.asSet() : null),
diff --git a/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/controller/FeatureNodeController.java b/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/controller/FeatureNodeController.java
index 6bc311aa85..cad98d8c2e 100644
--- a/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/controller/FeatureNodeController.java
+++ b/cdmlib-remote/src/main/java/eu/etaxonomy/cdm/remote/controller/FeatureNodeController.java
@@ -24,7 +24,7 @@ import eu.etaxonomy.cdm.model.description.FeatureNode;
  * @version 1.0
  */
 @Controller
-@RequestMapping(value = {"/featurenode/{uuid}"})
+@RequestMapping(value = {"/featureNode/{uuid}"})
 public class FeatureNodeController extends BaseController<FeatureNode, IFeatureNodeService> {
 	@SuppressWarnings("unused")
 	private static final Logger logger = Logger.getLogger(FeatureNodeController.class);
